Get the certificate of the internal certificate authority
get
Authorizations
defguard_sessionstringRequired
Responses
200
CA certificate in PEM format.
application/json
objectOptional
401
Session is missing or invalid.
application/json
403
Requires admin privileges.
application/json
404
The internal CA is not configured.
application/json
500
Unable to get CA certificate.
application/json
get/api/v1/core/cert/ca
GET /api/v1/core/cert/ca HTTP/1.1
Accept: */*
{
"ca_cert_pem": "-----BEGIN CERTIFICATE-----\n...\n-----END CERTIFICATE-----\n",
"ca_expiry": "2036-08-01T10:00:00",
"not_after": "2036-08-01T10:00:00",
"not_before": "2026-08-04T10:00:00",
"subject_common_name": "defguard CA",
"subject_email": null,
"valid_for_days": 3650
}Last updated
Was this helpful?